/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.MotivocancelacionEquivalenciaDAO;
import com.rjconsultores.ventaboletos.entidad.ComisionistaExterno;
import com.rjconsultores.ventaboletos.entidad.MotivoCancelacion;
import com.rjconsultores.ventaboletos.entidad.MotivocancelacionEquivalencia;
import com.rjconsultores.ventaboletos.service.MotivocancelacionEquivalenciaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("motivocancelacionEquivalenciaService")
public class MotivocancelacionEquivalenciaServiceImpl
        implements MotivocancelacionEquivalenciaService {

    @Autowired
    private MotivocancelacionEquivalenciaDAO motivocancelacionEquivalenciaDAO;

    public List<MotivocancelacionEquivalencia> obtenerTodos() {
        return motivocancelacionEquivalenciaDAO.obtenerTodos();
    }

    public MotivocancelacionEquivalencia obtenerID(Integer id) {
        return motivocancelacionEquivalenciaDAO.obtenerID(id);
    }

    @Transactional
    public MotivocancelacionEquivalencia suscribir(MotivocancelacionEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return motivocancelacionEquivalenciaDAO.suscribir(entidad);
    }

    @Transactional
    public MotivocancelacionEquivalencia actualizacion(MotivocancelacionEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return motivocancelacionEquivalenciaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(MotivocancelacionEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        motivocancelacionEquivalenciaDAO.actualizacion(entidad);
    }

    public List<MotivocancelacionEquivalencia> buscar(ComisionistaExterno comisionistaExterno,
            MotivoCancelacion motivoCancelacion) {
        return motivocancelacionEquivalenciaDAO.buscar(comisionistaExterno, motivoCancelacion);
    }

    public List<MotivocancelacionEquivalencia> buscarEquivalencia(MotivocancelacionEquivalencia motivoCancelacionEquivalencia) {
        return motivocancelacionEquivalenciaDAO.buscarEquivalencia(motivoCancelacionEquivalencia);
    }
}
